- Main Page
- Modules
- Namespaces
- Classes
- Files

# mixertrack.h File Reference

`#include <glibmm.h>`
`#include <glibmm/object.h>`

Go to the source code of this file.

## Namespaces
namespace | Gst
namespace | Glib
## Classes
class | Gst::MixerTrack
| Gst::MixerTrack - A track in an element that implement the Gst::Mixer interface. More...
## Enumerations
enum | Gst::MixerTrackFlags { Gst::MIXER_TRACK_INPUT = 1<<0, Gst::MIXER_TRACK_OUTPUT = 1<<1, Gst::MIXER_TRACK_MUTE = 1<<2, Gst::MIXER_TRACK_RECORD = 1<<3, Gst::MIXER_TRACK_MASTER = 1<<4, Gst::MIXER_TRACK_SOFTWARE = 1<<5, Gst::MIXER_TRACK_NO_RECORD = 1<<6, Gst::MIXER_TRACK_NO_MUTE = 1<<7, Gst::MIXER_TRACK_WHITELIST = 1<<8 }
| Bitwise operators: `MixerTrackFlags operator|(MixerTrackFlags, MixerTrackFlags)` `MixerTrackFlags operator&(MixerTrackFlags, MixerTrackFlags)` `MixerTrackFlags operator^(MixerTrackFlags, MixerTrackFlags)` `MixerTrackFlags operator~(MixerTrackFlags)` `MixerTrackFlags& operator|=(MixerTrackFlags&, MixerTrackFlags)` `MixerTrackFlags& operator&=(MixerTrackFlags&, MixerTrackFlags)` `MixerTrackFlags& operator^=(MixerTrackFlags&, MixerTrackFlags)` More...
## Functions
MixerTrackFlags | Gst::operator| (MixerTrackFlags lhs, MixerTrackFlags rhs)
MixerTrackFlags | Gst::operator& (MixerTrackFlags lhs, MixerTrackFlags rhs)
MixerTrackFlags | Gst::operator^ (MixerTrackFlags lhs, MixerTrackFlags rhs)
MixerTrackFlags | Gst::operator~ (MixerTrackFlags flags)
MixerTrackFlags& | Gst::operator|= (MixerTrackFlags& lhs, MixerTrackFlags rhs)
MixerTrackFlags& | Gst::operator&= (MixerTrackFlags& lhs, MixerTrackFlags rhs)
MixerTrackFlags& | Gst::operator^= (MixerTrackFlags& lhs, MixerTrackFlags rhs)